<script>
	import { allowInputInt, allowInputIntString, allowInputFloat } from '$lib/utils';
	import { inputWithLabelSectionClass, inputWithLabelContainerMainClass } from '$lib/stores';
	import Input from 'flowbite-svelte/Input.svelte';
	import InputWithLabel from '../InputWithLabel.svelte';

	let student = {
		name: '',
		email: '',
		address: '',
		id: '',
		department: '',
		cgpa: null,
		creditCompleted: null,
		history: [{ '': '' }]
	};

	let dataSearched = $state(false);
	let dataFound = $state(false);
</script>

<main class="flex flex-col gap-6">
	<main class={inputWithLabelContainerMainClass}>
		<InputWithLabel
			label="Student ID"
			size="sm"
			bind:value={student.id}
			placeholder="id"
			type="text"
			oninput={allowInputIntString}
		/>
		<section class={inputWithLabelSectionClass}>
			<button
				onclick={() => {
					dataSearched = true;
					dataFound = true;
				}}
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
			>
				Search
			</button>
		</section>
	</main>

	{#if dataSearched}
		<main class={inputWithLabelContainerMainClass}>
			<InputWithLabel
				label="Name"
				defaultClass="surface-ios-comp"
				class="!rounded-md"
				size="sm"
				bind:value={student.name}
				placeholder="name"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Email"
				defaultClass="surface-ios-comp"
				class="!rounded-md"
				size="sm"
				bind:value={student.email}
				placeholder="email"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Address"
				defaultClass="surface-ios-comp"
				class="!rounded-md"
				size="sm"
				bind:value={student.address}
				placeholder="address"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Department"
				defaultClass="surface-ios-comp"
				class="!rounded-md"
				size="sm"
				bind:value={student.department}
				placeholder="department"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="CGPA"
				defaultClass="surface-ios-comp"
				class="!rounded-md"
				size="sm"
				bind:value={student.cgpa}
				placeholder="cgpa"
				type="number"
				oninput={allowInputFloat}
				step={0.01}
			/>
			<InputWithLabel
				label="Credit Completed"
				defaultClass="surface-ios-comp"
				class="!rounded-md"
				size="sm"
				bind:value={student.creditCompleted}
				placeholder="credit completed"
				type="number"
				oninput={allowInputInt}
			/>
		</main>

		<main class="w-fit mr-auto surface-ios-cont rounded-md p-2.5 flex flex-col gap-2">
			{#if dataFound}
				<span>Data found</span>
				<div class="flex gap-2">
					<section class={inputWithLabelSectionClass}>
						<button
							onclick={() => {}}
							class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
						>
							Update
						</button>
					</section>
					<section class={inputWithLabelSectionClass}>
						<button
							onclick={() => {}}
							class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
						>
							Delete
						</button>
					</section>
				</div>
			{:else}
				<span>Data not found</span>
				<section class={inputWithLabelSectionClass}>
					<button
						onclick={() => {}}
						class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
					>
						Add Data
					</button>
				</section>
			{/if}
		</main>
	{/if}
</main>
